## workaround-ignore-lowest-brightness-dell-laptop-dkms 1.0wataugafour1

=== workaround-ignore-lowest-brightness-dell-laptop/Makefile ===
# needless plumbing necessary for dkms to function correctly
KVER?= $(shell uname -r)

ifeq (,$(KVER))
	KERNELBUILD := /lib/modules/$(KVER)/build
else
	KERNELBUILD := /lib/modules/$(KVER)/build
endif

all:
	make -C $(KERNELBUILD) M=$(shell pwd) modules

clean:
	make -C $(KERNELBUILD) M=$(shell pwd) clean

=== debian/changelog ===
workaround-ignore-lowest-brightness-dell-laptop-dkms (1.0wataugafour1) precise; urgency=low

  * Add Adam's patch. (LP: #1384207)

 -- Bruce Ma <bruce.ma@canonical.com>  Fri, 14 Nov 2014 16:01:54 +0800

workaround-ignore-lowest-brightness-dell-laptop-dkms (1.0) precise; urgency=medium

  * Ignore the lowest brightness for workaround specific panel flicking issue. (LP: 1342027)

 -- Cyrus Lien <cyrus.lien@canonical.com>  Mon, 18 Aug 2014 13:21:32 +0800

=== debian/control ===
Source: workaround-ignore-lowest-brightness-dell-laptop-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: workaround-ignore-lowest-brightness-dell-laptop-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: workaround-ignore-lowest-brightness-dell-laptop driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=workaround-ignore-lowest-brightness-dell-laptop
NAME=workaround-ignore-lowest-brightness-dell-laptop
VERSION=1.0wataugafour1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
